########################################
#Commander Keen & the Morticore patches#
########################################

%ext ck1

%version 1.31

#########
#LOADING#
#########

#Loading Screen text
%patch $14F1D "Loading Commander Keen & the Morticore...              "

################
#END OF LOADING#
################

#########
#OPENING#
#########

#Remove the following images
%patch $A1FD $90         #An
%patch $A236 $90 $90 $90 #Of an
%patch $A248 $90 $90 $90 #Id software
%patch $A25A $90 $90 $90 #Production

################
#END OF OPENING#
################

####################
#TITLE SCREEN STUFF#
####################

#Main Menu
%patch $15EF6 "Load Game    "
%patch $15F12 "About Me..."
%patch $15F32 "Quinton Land "
%patch $15F44 "More Mods"

#About Me text
%patch $15F80 "I (Quinton) am a fan of Commander "
%patch $15FA8 "Keen since I was born. The first "
%patch $15FD0 "mod I've ever played was      "
%patch $15FF8 "Ceilick's first mod."
%patch $16020 "In 2011, I have started modding "
%patch $16048 "and information of my first three  "
%patch $16070 "mods can be found with    "
%patch $16098 "this mod.              "
%patch $160C0 "If you like this mod, you mi-"
%patch $160E8 "ght like my other mods which can "
%patch $16110 "be found at my website.  "

#Default high score entries
%patch $7931 $28EFW #Block location
%patch $7935 $002DW #Block length
%patch $7A31 $0007W #Number of names
%patch $7A37 $0006W #Name length

#Default highscore names
%patch $1593F "Mort " $00
              "Keen " $00
              "Tores" $00
              "Shola" $00
              "Musta" $00
              "Serve" $00
              "Choom" $00

#Quinton Land text
%patch $1632C "Quinton Land is the home"
%patch $16346 "of this mod and also     "
%patch $16364 "houses many other  "
%patch $1637B "that I have made.    "
%patch $16392 "                         "
%patch $163AD "                         "
%patch $163C8 "                         "
%patch $163E4 "It is also planned that Quinton Land "
%patch $1640D "will also feature my own indie and "
%patch $16434 " Mario fan games in the future.    "
%patch $1645B "                                 "
%patch $16480 "                           "
%patch $164B5 "               "
%patch $164C6 "                "
%patch $164DD "               "
%patch $164EE "               "
%patch $16505 "               "
%patch $16516 "               "
%patch $1652D "                 "
%patch $16542 "To go to Quinton Land, please type:     "
%patch $16573 "www.quintonland.com               "	

###########################
#END OF TITLE SCREEN STUFF#
###########################

##################
#GAME START STUFF#
##################

#Keen starts with a pogo stick
%patch $900E  $01 $00

#Keen has five bullets at the start
%patch $9008 $05 $00

#Recreate the tile properties
%patchfile 0x130F8 tiles.tli

#Keens Left text
%patch $15EDB "Lives Left"

#########################
#END OF GAME START STUFF#
#########################

########
#CHEATS#
########

#CTSpace text:
%patch $14DEE "Free items!" $00
%patch $14E05 $00
%patch $14E21 $00
%patch $14E39 $00

#CTSpace textbox:
%patch $0DC8 $01 $00 #Height [In lines of text]
%patch $0DCC $0C $00 #Width [in letters]

#God mode cheat text:
%patch $14EF6 "God mode ON" $00
%patch $14F07 "God mode OFF" $00

#God cheat textbox:
%patch $1228 $0D $00 #Width [in letters]

###############
#END OF CHEATS#
###############

###############
#STATUS SCREEN#
###############

#Status window text
%patch $14E52 "    SCORE     EXTRA LIFE AT "
%patch $14E73 "    LIVES       SHIP PARTS  "
%patch $14E9A " N.STUN             GEMS    "
%patch $14EC7 "  AMMO   "

######################
#END OF STATUS SCREEN#
######################

###########
#MAP STUFF#
###########

#Change the location of the Blugoi teleporter
%patch $158E9 $40 $02
%patch $158ED $A0 $00

#Change the location of the secret level teleporter
%patch $158F3 $00 $01
%patch $158F7 $B0 $01

#The "Your ship is missing" text
%patch $1659B "You need to take out"

##################
#END OF MAP STUFF#
##################

#######
#ITEMS#
#######

#Pogo stick will give Keen an extra life
%patch $45AC $449AW $44A1W
%patch $449A $83 $06 $AAC8W  $05 $EB $10 $83 $06 $AAC6W  $01 $B8 $001CW  $50 $EB $09

#Keen won't lose the ship parts if he dies in a level
%patch $4F82 $90 $90 $90 $90 $90 $90 #Joystick
%patch $4F8A $90 $90 $90 $90 $90 $90 #Battery
%patch $4F92 $90 $90 $90 $90 $90 $90 #Vacum
%patch $4F9A $90 $90 $90 $90 $90 $90 #everclear

##############
#END OF ITEMS#
##############

######################
#YORP STATUE MESSAGES#
######################

#Level 2 message
%patch $15080 "Mortimer says:      "
%patch $15096 "                    "
%patch $150AC "What? How did you   "
%patch $150C2 "get here?! I was su-"
%patch $150D8 "re the Blugoi was   "
%patch $150EE "well hidden and you "
%patch $15104 "found it?! Ugh......"

#Level 6 message
%patch $1511A "Mortimer says:      "
%patch $15130 "                    "
%patch $15146 "Hey! You should have"
%patch $1515C "known to let my     "
%patch $15172 "robots destroy you! "
%patch $15188 "HMPH! If I only had "
%patch $1519E "fire breath...      "

#Level 9 message
%patch $151B4 "Mortimer says:      "
%patch $151CA "                    "
%patch $151E0 "HEY! I've got some- "
%patch $151F6 "thing to say to you,"
%patch $1520C "I AM YOUR BROTHER!  "
%patch $15222 "Mwhahahahahaha,....."
%patch $15238 "not suprised? HMPH! "

#Level 10 message
%patch $1524E "Mortimer says:      "
%patch $15264 "                    "
%patch $1527A "Oh come on, you     "
%patch $15290 "always get past my  "
%patch $152A6 "robots. It's no fun,"
%patch $152BC "*sigh*, if I only   "
%patch $152D2 "had Elec Man...     "

#Level 11 message
%patch $152E8 "Mortimer says:      "
%patch $152FE "                    "
%patch $15314 "YOU MUST DIE!       "
%patch $1532A "                    "

#Level 12 message
%patch $15340 "Mortimer says:      "
%patch $15356 "                    "
%patch $1536C "Expecting this shr- "
%patch $15382 "ine to be simple and "
%patch $15399 "short? Too bad,     "
%patch $153AF "you are going to get"
%patch $153C5 "crushed! I hope....."

#Level 15 message
%patch $153DB "Mortimer says:      "
%patch $153F1 "                    "
%patch $15407 "Alright, thats it.  "
%patch $1541D "I hope you are ready"
%patch $15433 "to say bye-bye. Be- "
%patch $15449 "cause, you're DOOMED"

#############################
#END OF YORP STATUE MESSAGES#
#############################

###########
#CREATURES#
###########

########################
#BUTLER ROBOT (SHOLAKA)#
########################

#Butler Robot KILLS Keen instead of pushing
%patch $1782 $03 $00

###############################
#END OF BUTLER ROBOT (SHOLAKA)#
###############################

######################
#TANK ROBOT (TORESER)#
######################

#Shot height
%patch $4900     $01
%patch $4902 $00 $00

#############################
#END OF TANK ROBOT (TORESER)#
#############################

#####################
#VORTICON (MORTIMER)#
#####################

#The Vorticon takes 30 hits to defeat  
%patch $1819 $1E $00

#Vorticon searches for Keen
%patch $1CF2 $0B86W

#Vorticon searching code
%patch $0B86 $55 $8B $EC $C7 $06 $40 $82 $0000W  $A1 $5135W  $B1 $05 $D3 $E8
             $25 $0003W  $05 $004EW  $A3 $8248W  $A1 $824AW  $03 $06 $14 $5B
             $A3 $824AW  $E8 $207EW  $E8 $20BEW  $83 $3E $824AW  $50 $7C $4B
             $A1 $822AW  $8B $16 $8228W  $81 $C2 $0000W  $15 $0000W  $3B $06
             $E4 $6E $75 $0E $3B $16 $E2 $6E $75 $08 $C7 $06 $8240W  $00DCW
             $EB $06 $C7 $06 $8240W  $003CW  $A1 $8226W  $8B $16 $8224W  $3B
             $06 $E0 $6E $7C $10 $7F $06 $3B $16 $DE $6E $76 $08 $A1 $8240W
             $F7 $D8 $A3 $8240W  $C7 $06 $8252W  $1C0EW  $5D $C3

#Dead Vorticon drops card sprite
%patch $1DAD $0AF2W #When shot
%patch $2363 $0AF2W #When falling-blocked

#Produce card sprite behavior
%patch $0AF2 $55 $8B $EC $FF $36 $2A $82 $FF $36 $28 $82 $FF $36 $26 $82 $FF
             $36 $24 $82 $E8 $000BW  $83 $C4 $08 $C7 $06 $52 $82 $489DW  $5D $C3

#Make card code -sets card properties (Animation used is chain sprite's, $72)
%patch $0B13 $55 $8B $EC $56 $E8 $1E1BW  $8B $F0 $C7 $04 $0001W  $8B $46 $06
             $8B $56 $04 $89 $54 $04 $89 $44 $06 $8B $46 $0A $8B $56 $08 $81
             $C2 $00 $09 $15 $0000W  $89 $54 $08 $89 $44 $0A $C7 $44 $32 $0B51W
                 $C7 $44 $34 $0B5CW  $C7 $44 $28 $0072W  $5E $5D $C3

#Card behavior: fall, clip
%patch $0B51 $55 $8B $EC $E8 $20D3W  $E8 $2113W  $5D $C3

#Card collision, if Keen give red card, play sound, vanish
%patch $0B5C $55 $8B $EC $56 $57 $8B $76 $04 $8B $7E $06 $83 $3D $01 $75 $16
             $C7 $04 $0000W  $C7 $44 $34 $3360W  $B8 $0020W  $50 $E8 $B377W
             $44 $44 $FF $06 $AAA0W  $5F $5E $5D $C3	

############################
#END OF VORTICON (MORTIMER)#
############################

##################
#END OF CREATURES#
##################

########
#ENDING#
########

#Map text box
%patch $15C24 "Commander Keen returns to his rock-"
%patch $15C49 "et and quickly flew away from the"
%patch $15C6C "Blugoi before the Morticore activa-"
%patch $15C91 "tes!                           "

#First text box
%patch $15CBD "But, Keen had stopped "
%patch $15CD5 "in order to check "
%patch $15CE9 "that Mortimer...."

#Second text box
%patch $15CFB "...doesn't escape  "
%patch $15D10 "the Blugoi or the  "
%patch $15D25 "Morticore."

#After the window lights up, it will always be dark afterwards
%patch $861B $0D $00
%patch $876B $0D $00

#Stop 3rd textbox appearing
%patch $8635 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90

#Stop 4th textbox appearing
%patch $867B $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90

#Stop 5th textbox appearing
%patch $86AF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90

#Stop 6th textbox appearing
%patch $86EC $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90

#Stop 7th textbox appearing
%patch $8714 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90

#Eight text box
%patch $15E07 "Well, it looks like  "
%patch $15E1E "Mortimer is now gone   "
%patch $15E37 "for good, I guess  "
%patch $15E4C "now it is time to go "
%patch $15E63 "home.         "

#To be continued... text
%patch $15E72 "      THE END      "

###############
#END OF ENDING#
###############

%end

###############################################
#End of Commander Keen & the Morticore patches#
###############################################